# OpenShaderDesigner: OpenShaderDesigner::EventHandler< EventType > Class Template Reference

Loading...
Searching...
No Matches
OpenShaderDesigner::EventHandler< EventType > Class Template Referenceabstract

EventHandler interface for creating custom EventHandlers. More...

`#include <EventSystem.h>`

Inheritance diagram for OpenShaderDesigner::EventHandler< EventType >:

## Public Types

using | HandledType = EventType
| The type handled by the EventHandler.

## Public Member Functions

virtual bool | HandleEvent (const HandledType *event)=0
| Virtual function for custom EventHandler implementations.

## Detailed Description

template<typename EventType>
class OpenShaderDesigner::EventHandler< EventType >

EventHandler interface for creating custom EventHandlers.

Template Parameters

  EventType | The ComponentType of Event handled by the EventHandler

## Member Function Documentation

## HandleEvent()

template<typename EventType >

virtual bool OpenShaderDesigner::EventHandler< EventType >::HandleEvent | ( | const HandledType * | event | ) |

pure virtual

Virtual function for custom EventHandler implementations.

Parameters

  event | The Event being handled.

The documentation for this class was generated from the following file:

- Include/Core/EventSystem.h